mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Obsolete

For more information, please see the existing documentation for STATSTG in the com subfolder of the MSDN library.

Use instead.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.FILETIME

  For more information, please see the existing documentation for STATSTG in the MSDN library.

  Indicates the last access time for this storage, stream or byte array

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64

  For more information, please see the existing documentation for STATSTG in the MSDN library.

  Specifies the size in bytes of the stream or byte array.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Guid

  Initialized to CLSID_NULL for new storage objects.

  For more information, please see the existing documentation for STATSTG in the MSDN library.

  Indicates the class identifier for the storage object.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.FILETIME

  For more information, please see the existing documentation for STATSTG in the MSDN library.

  Indicates the creation time for this storage, stream, or byte array.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information, please see the existing documentation for STATSTG in the MSDN library.

  Indicates the types of region locking supported by the stream or byte array.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information, please see the existing documentation for STATSTG in the MSDN library.

  Indicates the access mode that was specified when the object was opened.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information, please see the existing documentation for STATSTG in the MSDN library.

  Indicates the current state bits of the storage object (the value most recently set by the IStorage::SetStateBits method).

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.FILETIME

  For more information, please see the existing documentation for STATSTG in the MSDN library.

  Indicates the last modification time for this storage, stream, or byte array.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  For more information, please see the existing documentation for STATSTG in the MSDN library.

  Pointer to a null-terminated string containing the name of the object described by this structure.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information, please see the existing documentation for STATSTG in the MSDN library.

  Reserved for future use.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information, please see the existing documentation for STATSTG in the MSDN library.

  Indicates the type of storage object which is one of the values from the STGTY enumeration.